Bug 169883 - [69cat][68cat] Invoking generate-code took 75216 ms.
[69cat][68cat] Invoking generate-code took 75216 ms.
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: Completion & Templates
6.x
All All
: P3 with 2 votes (vote)
: 7.0
Assigned To: Dusan Balek
issues@editor
http://statistics.netbeans.org/except...
EXCEPTIONS_REPORT perf-profileme
: PERFORMANCE
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-08-05 11:32 UTC by neolivz
Modified: 2010-11-16 06:12 UTC (History)
12 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
nps snapshot (111.85 KB, bin/nps)
2009-08-05 11:32 UTC, neolivz
Details
nps snapshot (67.52 KB, bin/nps)
2009-08-19 08:46 UTC, fvogler
Details
nps snapshot (38.25 KB, bin/nps)
2009-09-04 13:51 UTC, dheffelfinger
Details
nps snapshot (58.69 KB, bin/nps)
2009-09-21 18:40 UTC, misterm
Details
nps snapshot (256.00 KB, application/nps)
2009-11-24 01:32 UTC, Exceptions Reporter
Details
nps snapshot (256.00 KB, application/nps)
2009-12-07 22:16 UTC, Exceptions Reporter
Details

Note You need to log in before you can comment on or make changes to this bug.
Description neolivz 2009-08-05 11:32:19 UTC
Build: NetBeans IDE Dev (Build 200908022240)
VM: Java HotSpot(TM) Client VM, 1.5.0_19-b02, Java(TM) 2 Runtime Environment, Standard Edition, 1.5.0_19-b02
OS: Windows XP, 5.1, x86

User Comments:
stefan79: Pressed Alt+Insert (Insert a Code)

stefan79: In a java-File i type /** + Return above a Method and then I had to wait 27 seconds!

stefan79: Opened a Panel


Maximum slowness yet reported was 75216 ms, average is 28116
Comment 1 neolivz 2009-08-05 11:32:24 UTC
Created attachment 85830 [details]
nps snapshot
Comment 2 fvogler 2009-08-19 08:45:59 UTC
Build: NetBeans IDE Dev (Build nbms-and-javadoc-3771-on-090819)
VM: Java HotSpot(TM) Client VM, 14.2-b01, Java(TM) SE Runtime Environment, 1.6.0_16-b01
OS: Windows XP, 5.1, x86

User Comments: 

Maximum slowness yet reported was 141906 ms, average is 53351
Comment 3 fvogler 2009-08-19 08:46:04 UTC
Created attachment 86433 [details]
nps snapshot
Comment 4 Exceptions Reporter 2009-08-19 08:46:08 UTC
This issue already has 6 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=153929
Comment 5 Vitezslav Stejskal 2009-08-21 10:38:52 UTC
It looks like there was a scan running, which blocked the NbGenerateCodeAction. Strangely most of the time was spent in
collecting files (~45s) and specifically in WinNTFileSystem.getBooleanAttributes(), which is a native Win OS call.
Comment 6 dheffelfinger 2009-09-04 13:51:29 UTC
Build: NetBeans IDE Dev (Build 200909030951)
VM: Java HotSpot(TM) Client VM, 14.0-b16, Java(TM) SE Runtime Environment, 1.6.0_14-b08
OS: Windows XP, 5.1, x86

User Comments: 

Maximum slowness yet reported was 141906 ms, average is 51289
Comment 7 dheffelfinger 2009-09-04 13:51:33 UTC
Created attachment 87110 [details]
nps snapshot
Comment 8 Exceptions Reporter 2009-09-04 13:51:38 UTC
This issue already has 7 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=153929
Comment 9 Exceptions Reporter 2009-09-11 09:18:00 UTC
This issue already has 8 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=153929
Comment 10 Exceptions Reporter 2009-09-11 18:19:47 UTC
This issue already has 9 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=153929
Comment 11 Vitezslav Stejskal 2009-09-16 14:47:59 UTC
AnnotationModelHelper
Comment 12 misterm 2009-09-21 18:40:21 UTC
Build: NetBeans IDE Dev (Build 090921)
VM: Java HotSpot(TM) Client VM, 10.0-b19, Java(TM) SE Runtime Environment, 1.6.0_04-b12
OS: Windows XP, 5.1, x86

User Comments: 

Maximum slowness yet reported was 141906 ms, average is 39779
Comment 13 misterm 2009-09-21 18:40:25 UTC
Created attachment 88045 [details]
nps snapshot
Comment 14 Exceptions Reporter 2009-09-21 18:40:31 UTC
This issue already has 10 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=153929
Comment 15 Petr Jiricka 2009-10-02 14:08:29 UTC
Vita, I don't understand your evaluation. There are lots of different reports, each of which is different. Some contain
some Java EE code, some contain Form code, but all of them contain NbGenerateCodeAction. The latest one:
http://statistics.netbeans.org/analytics/exception.do?id=259730

does not contain anything from JavaEE or AnnotationModelHelper. Can you explain what you meant by your latest comment?
Thanks.
Comment 16 Exceptions Reporter 2009-10-02 23:23:11 UTC
This issue already has 11 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=153929
Comment 17 Exceptions Reporter 2009-10-03 20:42:20 UTC
This issue already has 12 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=153929
Comment 18 Exceptions Reporter 2009-10-05 10:16:23 UTC
This issue already has 13 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=153929
Comment 19 Vitezslav Stejskal 2009-10-05 12:02:53 UTC
Well, NbGenerateCodeAction calls CodeGeneratorContextProviders, which may need to acquire ParserManager's lock. If this
is called while somebody else holds that lock the provider and therefore the action is blocked. One of the places that
seemed to hold the lock was AnnotationModelHelper when it was processing java index's events. However, in the newer
snaphots the action is blocked by other places too. So, perhaps we should change the action to use RunOffAWT, but it's
only available in java and csl... Maybe we should move it to a more prominent place where it could be used by everybody
(?)...
Comment 20 Jan Lahoda 2009-10-05 12:06:13 UTC
See issue #170882.
Comment 21 Exceptions Reporter 2009-11-24 01:32:26 UTC
Build: NetBeans IDE Dev (Build 200911230200)
VM: Java HotSpot(TM) Client VM, 14.2-b01, Java(TM) SE Runtime Environment, 1.6.0_16-b01
OS: Windows XP, 5.1, x86

User Comments: 
Scanning hell is blocking my computer
Maximum slowness yet reported was 141906 ms, average is 27170
Comment 22 Exceptions Reporter 2009-11-24 01:32:34 UTC
Created attachment 91578 [details]
nps snapshot
Comment 23 Exceptions Reporter 2009-11-24 01:32:44 UTC
This bug already has 20 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=153929
Comment 24 Exceptions Reporter 2009-12-07 22:16:23 UTC
Created attachment 92246 [details]
nps snapshot
Comment 25 misterm 2010-04-13 21:25:49 UTC
This issue happens a lot and when it does it takes several minutes sometimes for the IDE to become responsive again. Could please someone take a look at it?
Comment 26 Dusan Balek 2010-11-15 09:41:22 UTC
Fixed in jet-main.

http://hg.netbeans.org/jet-main/rev/a7f3730e4211
Comment 27 Quality Engineering 2010-11-16 06:12:42 UTC
Integrated into 'main-golden', will be available in build *201011160001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/a7f3730e4211
User: Dusan Balek <dbalek@netbeans.org>
Log: Issue #169883: Invoking generate-code took 75216 ms - fixed.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo